### Method

# Gtk AccessibleTextupdate_contents

since: 4.14

#### Declaration [src]

    void
    gtk_accessible_text_update_contents (
      GtkAccessibleText* self,
      GtkAccessibleTextContentChange change,
      unsigned int start,
      unsigned int end
    )

#### Description [src]

Notifies assistive technologies of a change in contents.

Implementations of the `GtkAccessibleText` interface should call this function every time their contents change as the result of an operation, like an insertion or a removal.

Note: If the change is a deletion, this function must be called before removing the contents, if it is an insertion, it must be called after inserting the new contents.

Available since: 4.14

#### Parameters

`change`

  Type: `GtkAccessibleTextContentChange`

  The type of change in the contents.

`start`

  Type: `unsigned int`

  The starting offset of the change, in characters.

`end`

  Type: `unsigned int`

  The end offset of the change, in characters.